.burgerbutton-button {
    cursor: pointer;
    padding: 20px 5vw 19px 20px;
    width: 30px;
    box-sizing: content-box;
    height: 19px;
    justify-content: space-between;
    display: flex;
    flex-direction: column;
}
.burgerbutton-linie {
    background: red;
    height: 2px;
    transition: 0.4s cubic-bezier(0.68, 0, 0.32, 1.6);
    width: 30px;
    transform-origin: center;
    left: 0;
    position: relative;
    top: 0;
}
.burgerbutton-linie:nth-child(1) {
    width: 75%;
}
.burgerbutton-linie:nth-child(3) {
    width: 50%;
}
.burgerbutton-button.active .burgerbutton-linie:nth-child(1) {
    transform: rotatez(45deg);
    width: 100%;
    top: 8px;
}
.burgerbutton-button.active .burgerbutton-linie:nth-child(2) {
    transform: rotatez(-45deg) translateX(-50%);
    width: 0px;
    left: 50%;
}
.burgerbutton-button.active .burgerbutton-linie:nth-child(3) {
    transform: rotatez(-45deg);
    width: 100%;
    top: -9px;
}
.burgerbutton-menu {
    display: none;
    flex-shrink: 0;
    width: 100%;
    max-height: calc(100vh - 70px);
    overflow: scroll;
}

@media only screen and (min-width: 990px) {
    .burgerbutton {
        display: none;
    }
    .burgerbutton-menu {
        display: block;
        width: auto;
        overflow: visible;
        margin-right: 30px !important;
    }
    /* .burgerbutton-menu::after {
        content: "";
        display: block;
        width: 100%;
        position: absolute;
        bottom:0;
        height: 2px;
        background-color:var(--wp--preset--color--beige);
        max-width: 1600px;
        margin-left: auto !important;
        margin-right: auto !important;
    } */
    header.scrolled .burgerbutton-menu::after {
        display: none;
    }
    .wp-site-blocks:has(main > .wp-block-acf-dynamic-banner)
        header
        .burgerbutton-menu::after {
        display: none;
    }
}
